//CUITileSticker - [2020-04-13 11:57:47]
#ifndef _CUITILESTICKER_H_
#define _CUITILESTICKER_H_

#include "CUITile.h"
#include "STORY.h"

/*
001457E0 CUITileSticker::CUITileSticker(TStickerInfo *,int,int,bool,bool,EUITileAction,int,bool)
0014591C CUITileSticker::GetFilename(char *,int)
0014597C CUITileSticker::CreatePolaroid()
001459F8 CUITileSticker::~CUITileSticker()
00145A18 CUITileSticker::~CUITileSticker()
00145A28 CUITileSticker::GetImage(TImage *)
00145A70 CUITileSticker::Render()
00145CDC CUITileSticker::RenderPost()
00145CDE CUITileSticker::Process()
00145CE4 CUITileSticker::ServicePolaroidGenerationQueue()
00145D08 CUITileSticker::HasPolaroidGenerationQueue()
*/

class CUITileSticker : public CUITile {
public:
  CUITileSticker(TStickerInfo *, int, int, bool, bool, EUITileAction, int, bool);  // 001457E0
  ~CUITileSticker();                                                               // 001459F8 00145A18
  virtual EUITileAction Process();                                                 // 00145CDE
  virtual void Render();                                                           // 00145A70
  virtual void RenderPost();                                                       // 00145CDC
  void GetFilename(char *, int);                                                   // 0014591C
  void CreatePolaroid();                                                           // 0014597C
  void GetImage(TImage *);                                                         // 00145A28
  static bool  ServicePolaroidGenerationQueue();                                   // 00145CE4
  static bool HasPolaroidGenerationQueue();                                        // 00145D08

  static char *s_pPolaroidGenerationQueue;  // 00352DC4
};

#endif  //_CUITILESTICKER_H_